/*add level intro for pack 4*/
INSERT OR IGNORE INTO "VoiceInfo" (ID, Filename, Character, LineType, Location) VALUES (237, 'MMG0119', 'Monogram', 'LevelIntro', 'intro_pack_4');

/*update id for bonus level*/
UPDATE LevelInfo SET ID=2000 WHERE ID=80 AND Name='LN_DIG_BALLOONY_DIG' AND Filename='/Perry/Levels/B01_dig_balloony_dig';
UPDATE LevelInfo SET ID=2001 WHERE ID=81 AND Name='LN_STEAMPUNKED' AND Filename='/Perry/Levels/B02_steampunked';
UPDATE LevelInfo SET ID=2002 WHERE ID=82 AND Name='LN_SPELUNKING' AND Filename='/Perry/Levels/B03_spelunking';
UPDATE LevelInfo SET ID=2003 WHERE ID=83 AND Filename='/Perry/Levels/B04_explosion_time' AND Name='LN_EXPLOSION_TIME';
UPDATE LevelInfo SET ID=2004 WHERE ID=84 AND Filename='/Perry/Levels/B05_run_the_gauntlet' AND Name='LN_RUN_THE_GAUNTLET';
UPDATE LevelInfo SET ID=2005 WHERE ID=85 AND Filename='/Perry/Levels/B06_push_over' AND Name='LN_PUSH_OVER';
UPDATE LevelInfo SET ID=2006 WHERE ID=86 AND Filename='/Perry/Levels/B07_cold_shoulder' AND Name='LN_COLD_SHOULDER';
UPDATE LevelInfo SET ID=2007 WHERE ID=87 AND Filename='/Perry/Levels/B08_balloony_party' AND Name='LN_BALLOONY_PARTY';

/* Chapter 5 */
INSERT OR IGNORE INTO "LevelPackInfo" (	ID, Storyline, PackName, Unlocked, StarsRequired, IsLevelPack,
										TitleText, SubtitleText, MainTexture, FrameTexture, LockedTexture, LockedText, 
										FB_AlbumName ) VALUES
									  ( 14, 1000, 'LP_FIVE', 0, 180, 1,
										'LP_FIVE_TITLE', 'LP_FIVE_SUBTITLE', 'ui_world_5.png', 'ui_world_frame.png', 'ui_locked_world_4.jpg', 'LOCKED',
										"Mission 5 - A Platypus Never Forgets" );


/* Levels */						
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound, Unlocked, ForceVO) VALUES (80, 'LN_BEHOLD_THE_REFLECTINATOR', '/Perry/Levels/01_behold_the_reflectinator', "LP_FIVE", 30, 0, 1, 1);							
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (81, 'LN_MIRROR_MIRROR', '/Perry/Levels/02_mirror_mirror', "LP_FIVE", 35, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (82, 'LN_SLEET_SHEET', '/Perry/Levels/03_sleet_sheet', "LP_FIVE", 45, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (83, 'LN_TWO_WAY_MIRROR', '/Perry/Levels/04_two_way_mirror', "LP_FIVE", 50, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (84, 'LN_MIRROR_IMAGE', '/Perry/Levels/05_mirror_image', "LP_FIVE", 45, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (85, 'LN_BIDE_YOUR_TIME', '/Perry/Levels/06_bide_your_time', "LP_FIVE", 45, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (86, 'LN_FREE_4_ALL', '/Perry/Levels/07_free_4_all', "LP_FIVE", 40, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (87, 'LN_THE_FROZEN_GNOME', '/Perry/Levels/08_the_frozen_gnome', "LP_FIVE", 40, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (88, 'LN_CRACK_THE_SAFE', '/Perry/Levels/09_crack_the_safe', "LP_FIVE", 55, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (89, 'LN_LEAVE_THE_BUSTING_TO_US', '/Perry/Levels/10_leave_the_busting_to_us', "LP_FIVE", 55, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (90, 'LN_DY_GNOME_ITE', '/Perry/Levels/11_dy_gnome_ite', "LP_FIVE", 45, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (91, 'LN_AVOID_THE_SPOTLIGHT', '/Perry/Levels/12_avoid_the_spotlight', "LP_FIVE", 50, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (92, 'LN_LASER_TAG', '/Perry/Levels/13_laser_tag', "LP_FIVE", 55, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (93, 'LN_TAKE_IT_TO_THE_TOP', '/Perry/Levels/14_take_it_to_the_top', "LP_FIVE", 60, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (94, 'LN_DOUBLE_DOWN', '/Perry/Levels/15_double_down', "LP_FIVE", 45, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (95, 'LN_UP_AND_OVER', '/Perry/Levels/16_up_and_over', "LP_FIVE", 50, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (96, 'LN_POWER_DOWN', '/Perry/Levels/17_power_down', "LP_FIVE", 60, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (97, 'LN_PASS_IT_OVER', '/Perry/Levels/18_pass_it_over', "LP_FIVE", 55, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound) VALUES (98, 'LN_SIDEWINDER', '/Perry/Levels/19_sidewinder', "LP_FIVE", 60, 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, ParTime, CollectibleFound, ForceVO) VALUES (99, 'LN_FUN_HOUSE', '/Perry/Levels/20_fun_house', "LP_FIVE", 55, 0, 1);


/*add collectibles*/
INSERT OR IGNORE INTO "CollectibleInfo" (ID, Unlocked, HasViewed, Type, IconTexture, FullTexture, BaseName) VALUES (25, 0, 0, 0, 'agent_badge_s.png', 'z_secret_files/agent_s.png', 'SQUIRREL');
INSERT OR IGNORE INTO "CollectibleInfo" (ID, Unlocked, HasViewed, Type, IconTexture, FullTexture, BaseName) VALUES (26, 0, 0, 0, 'agent_badge_pinky.png', 'z_secret_files/agent_pinky.png', 'PINKY');
INSERT OR IGNORE INTO "CollectibleInfo" (ID, Unlocked, HasViewed, Type, LevelFile, IconTexture, FullTexture, BaseName) VALUES (27, 0, 0, 0, '/Perry/Levels/B2_seeing_double', 'agent_badge_r.png', 'z_secret_files/agent_r.png', 'RACCOON');
INSERT OR IGNORE INTO "CollectibleInfo" (ID, Unlocked, HasViewed, Type, IconTexture, FullTexture, BaseName) VALUES (28, 0, 0, 1, 'doof_badge_leakyfaucetinator.png', 'z_secret_files/doof_leakyfaucetinator.png', 'LEAKYFAUCET-INATOR');
INSERT OR IGNORE INTO "CollectibleInfo" (ID, Unlocked, HasViewed, Type, IconTexture, FullTexture, BaseName) VALUES (29, 0, 0, 1, 'doof_badge_magnifyinator.png', 'z_secret_files/doof_magnifyinator.png', 'MAGNIFY-INATOR');
INSERT OR IGNORE INTO "CollectibleInfo" (ID, Unlocked, HasViewed, Type, LevelFile, IconTexture, FullTexture, BaseName) VALUES (30, 0, 0, 1, '/Perry/Levels/B1_beat_the_beams', 'doof_badge_mustachinator.png', 'z_secret_files/doof_mustachinator.png', 'MUSTACH-INATOR');

/*add bonus levels*/
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, CollectibleFound) VALUES (2008, 'LN_BEAT_THE_BEAMS', '/Perry/Levels/B1_beat_the_beams', "LP_BONUS", 0);
INSERT OR IGNORE INTO "LevelInfo" (ID, Name, Filename, PackName, CollectibleFound) VALUES (2009, 'LN_SEEING_DOUBLE', '/Perry/Levels/B2_seeing_double', "LP_BONUS", 0);

/*add achievements*/
INSERT OR IGNORE INTO "Achievements" (rowid, Points, ID, PreEarnedDescription, EarnedDescription, Image, FacebookDescription) VALUES (18, 10, 'ACH_LP_FIVE', 'ACH_LP_FIVE_HOWTO', 'ACH_LP_FIVE_DESC', 'ACH_mission5.png', 'ACH_LP_FIVE_FB');
INSERT OR IGNORE INTO "Achievements" (rowid, Points, ID, PreEarnedDescription, EarnedDescription, Image, FacebookDescription) VALUES (19, 25, 'ACH_TRIGNOME_LP_FIVE', 'ACH_TRIGNOME_LP_FIVE_HOWTO', 'ACH_TRIGNOME_LP_FIVE_DESC', 'ACH_tri_mission5.png', 'ACH_TRIGNOME_LP_FIVE_FB');
					
					
/* update database version setting! */
UPDATE Settings SET Value=3 WHERE Name='DatabaseVersion';

