/* Insert new packs */
DELETE FROM LevelPackInfo WHERE rowid = 40 AND ID = 40;
INSERT INTO "LevelPackInfo" VALUES(11,1000,'LP_TWO',0,'',1,0,8,'LP_TWO_TITLE','LP_TWO_SUBTITLE','ui_world_2.png','ui_world_frame.png','ui_locked_world_1.jpg',1,'LOCKED','Mission 2 - A Thousand Times Over',0,0);
INSERT INTO "LevelPackInfo" VALUES(12,1000,'LP_THREE',0,'',1,0,16,'LP_THREE_TITLE','LP_THREE_SUBTITLE','ui_world_3.png','ui_world_frame.png','ui_locked_world_2.jpg',1,'LOCKED','Mission 3 - The Puppetmaster',0,0);
INSERT INTO "LevelPackInfo" VALUES(13,1000,'LP_FOUR',1,'',1,0,18,'LP_FOUR_TITLE','LP_FOUR_SUBTITLE','ui_world_4.png','ui_world_frame.png','ui_locked_world_3.jpg',1,'LOCKED','Mission 4 - The Fall of Major Monogram',0,0);
INSERT INTO "LevelPackInfo" VALUES(14,1000,'LP_FIVE',1,'',1,0,24,'LP_FIVE_TITLE','LP_FIVE_SUBTITLE','ui_world_5.png','ui_world_frame.png','ui_locked_world_4.webp',1,'LOCKED','Mission 5 - A Platypus Never Forgets',0,0);
INSERT INTO "LevelPackInfo" VALUES(15,1000,'LP_SIX',1,'',1,0,30,'LP_SIX_TITLE','LP_SIX_SUBTITLE','ui_world_6.png','ui_world_frame.png','ui_locked_world_1.webp',1,'LOCKED','Mission 6 - Memoirs of a Monogram',0,0);
INSERT INTO "LevelPackInfo" VALUES(16,1000,'LP_SEVEN',1,'',1,0,270,'LP_SEVEN_TITLE','LP_SEVEN_SUBTITLE','ui_world_7.png','ui_world_frame.png','ui_locked_world_2.webp',1,'LOCKED','Mission 7 - The Last Laugh',0,0);
INSERT INTO "LevelPackInfo" VALUES(60,1000,'MORE_DISNEY',0,'',1,1,-1,'','MORE_DISNEY','ui_WMW_demo.png','ui_world_frame.png','',0,'',NULL,0,0);

/* Insert new collectibles */
DROP TABLE CollectibleInfo;
CREATE TABLE "CollectibleInfo" ("ID" INTEGER PRIMARY KEY  NOT NULL ,"Unlocked" BOOL NOT NULL  DEFAULT (0) ,"HasViewed" BOOL NOT NULL  DEFAULT (0) ,"Type" INTEGER NOT NULL  DEFAULT (0) ,"LevelFile" TEXT NOT NULL  DEFAULT ('') ,"IconTexture" TEXT NOT NULL ,"FullTexture" TEXT NOT NULL ,"BaseName" TEXT NOT NULL );
INSERT INTO "CollectibleInfo" VALUES(1,0,0,0,'','agent_badge_b.png','agent_bear.png','BEAR');
INSERT INTO "CollectibleInfo" VALUES(2,0,0,0,'','agent_badge_c.png','agent_c.png','CHICKEN');
INSERT INTO "CollectibleInfo" VALUES(3,0,0,0,'/Perry/Levels/B01_dig_balloony_dig','agent_badge_crocodile.png','agent_crocodile.png','CROCODILE');
	
/* Insert new levels */
DELETE FROM LevelInfo WHERE ID < 12;
INSERT OR IGNORE INTO "LevelInfo" VALUES(0,'LN_POWER_TO_THE_TUBE','/Perry/Levels/01_power_to_the_tube',0,'LP_ONE',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,1,0,1);
INSERT OR IGNORE INTO "LevelInfo" VALUES(1,'LN_AROUND_THE_ROCK','/Perry/Levels/02_around_the_rock',0,'LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(2,'LN_UNIFICATION_DAY','/Perry/Levels/03_unification_day',0,'LP_ONE',0,0,0,40.0,0,'',0,0,0,0,NULL,NULL,1,0,1);
INSERT OR IGNORE INTO "LevelInfo" VALUES(3,'LN_OUT_TO_LAUNCH','/Perry/Levels/04_out_to_launch',0,'LP_ONE',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(4,'LN_FRUITY_RAINBOW_FLAKES','/Perry/Levels/05_fruity_rainbow_flakes',0,'LP_ONE',0,0,0,40.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(20,'LN_RAINMAKER','/Perry/Levels/01_rainmaker',0,'LP_TWO',0,0,0,35.0,0,'',0,0,0,0,NULL,NULL,1,0,1);
INSERT OR IGNORE INTO "LevelInfo" VALUES(21,'LN_COLD_FUSION','/Perry/Levels/02_cold_fusion',0,'LP_TWO',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(22,'LN_THE_GREAT_SWITCHEROO','/Perry/Levels/03_the_great_switcheroo',0,'LP_TWO',0,0,0,45.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(23,'LN_FROZEN_WATERFALL','/Perry/Levels/04_frozen_waterfall',0,'LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(24,'LN_WARNING_DONT_CHILL_OUT','/Perry/Levels/05_warning_dont_chill_out',0,'LP_TWO',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(40,'LN_BOILER_MAKER','/Perry/Levels/01_boiler_maker',0,'LP_THREE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,1);
INSERT OR IGNORE INTO "LevelInfo" VALUES(41,'LN_LIQUIDATION','/Perry/Levels/02_liquidation',0,'LP_THREE',0,0,0,35.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(42,'LN_SMOKESTACK','/Perry/Levels/03_smokestack',0,'LP_THREE',0,0,0,35.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(43,'LN_ICE_BRIDGE_EASY','/Perry/Levels/04_ice_bridge',0,'LP_THREE',0,0,0,45.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(44,'LN_ICE_MAKER','/Perry/Levels/05_ice_maker',0,'LP_THREE',0,0,0,35.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(81,'LN_DIG_BALLOONY_DIG','/Perry/Levels/B01_dig_balloony_dig',0,'LP_BONUS',0,0,0,57.0,0,'',0,0,0,0,NULL,NULL,1,1,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(1000,'LN_SEMI_AQUATIC','/Perry/Levels/s1_water_level',0,'LP_SECRET',0,0,1,45.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO "LevelInfo" VALUES(1001,'LN_ROLLERCOASTER_THE_LEVEL','/Perry/Levels/s2_rollercoaster_the_level',0,'LP_SECRET',0,0,1,65.0,0,'',0,0,0,0,NULL,NULL,1,0,0);

/*Lock bonus levels*/
UPDATE LevelInfo SET Unlocked=0 WHERE PackName='LP_BONUS';

/* Reset level and collectible achievements */
UPDATE Achievements SET PercentComplete=0.0, HasViewed=0 WHERE ID='ACH_LP_ONE' OR ID='ACH_TRIGNOME_LP_ONE' OR ID='ACH_FIRST_FILE' OR ID='ACH_ONE_BONUS';

/* update database version setting! */
UPDATE Settings SET Value=5 WHERE Name='DatabaseVersion';